| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
precedence::DecisionHubProps Struct Reference

`#include <src/PRGraph/PrecedenceRulesGraph.h>`

Collaboration diagram for precedence::DecisionHubProps:
[legend]

## Public Member Functions
| DecisionHubProps (const std::string &name, uint nodeIndex, concurrency::Concurrent modeConcurrent, concurrency::PromptDecision modePromptDecision, concurrency::ModeOr modeOR, concurrency::AllPass allPass, concurrency::Inverted isInverted)

## Public Attributes
std::string | m_name
uint | m_nodeIndex
bool | m_modeConcurrent
| Whether all daughters will be evaluated concurrently or sequentially. More...
bool | m_modePromptDecision
| Whether to evaluate the hub decision ASA its child decisions allow to do that. More...
bool | m_inverted {false}
| Whether the selection result is negated or not. More...
bool | m_modeOR
| Whether acting as "and" (false) or "or" node (true) More...
bool | m_allPass
| Whether always passing regardless of daughter results. More...

## Detailed Description

Definition at line 80 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

## ◆ DecisionHubProps()

precedence::DecisionHubProps::DecisionHubProps | ( | const std::string & | name,
|  | uint | nodeIndex,
|  | concurrency::Concurrent | modeConcurrent,
|  | concurrency::PromptDecision | modePromptDecision,
|  | concurrency::ModeOr | modeOR,
|  | concurrency::AllPass | allPass,
|  | concurrency::Inverted | isInverted
| ) |  |
| inline

Definition at line 81 of file PrecedenceRulesGraph.h.

84 : m_name( name )
85 , m_nodeIndex( nodeIndex )
86 , m_modeConcurrent( modeConcurrent )
87 , m_modePromptDecision( modePromptDecision )
88 , m_inverted( isInverted )
89 , m_modeOR( modeOR )
90 , m_allPass( allPass ) {}
precedence::DecisionHubProps::m_inverted
bool m_inverted
Whether the selection result is negated or not.
Definition: PrecedenceRulesGraph.h:101
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
precedence::DecisionHubProps::m_allPass
bool m_allPass
Whether always passing regardless of daughter results.
Definition: PrecedenceRulesGraph.h:105
precedence::DecisionHubProps::m_modePromptDecision
bool m_modePromptDecision
Whether to evaluate the hub decision ASA its child decisions allow to do that.
Definition: PrecedenceRulesGraph.h:99
precedence::DecisionHubProps::m_modeOR
bool m_modeOR
Whether acting as "and" (false) or "or" node (true)
Definition: PrecedenceRulesGraph.h:103
precedence::DecisionHubProps::m_modeConcurrent
bool m_modeConcurrent
Whether all daughters will be evaluated concurrently or sequentially.
Definition: PrecedenceRulesGraph.h:96
precedence::DecisionHubProps::m_nodeIndex
uint m_nodeIndex
Definition: PrecedenceRulesGraph.h:93
precedence::DecisionHubProps::m_name
std::string m_name
Definition: PrecedenceRulesGraph.h:92

## Member Data Documentation

## ◆ m_allPass

bool precedence::DecisionHubProps::m_allPass

Whether always passing regardless of daughter results.

Definition at line 105 of file PrecedenceRulesGraph.h.

## ◆ m_inverted

bool precedence::DecisionHubProps::m_inverted {false}

Whether the selection result is negated or not.

Definition at line 101 of file PrecedenceRulesGraph.h.

## ◆ m_modeConcurrent

bool precedence::DecisionHubProps::m_modeConcurrent

Whether all daughters will be evaluated concurrently or sequentially.

Definition at line 96 of file PrecedenceRulesGraph.h.

## ◆ m_modeOR

bool precedence::DecisionHubProps::m_modeOR

Whether acting as "and" (false) or "or" node (true)

Definition at line 103 of file PrecedenceRulesGraph.h.

## ◆ m_modePromptDecision

bool precedence::DecisionHubProps::m_modePromptDecision

Whether to evaluate the hub decision ASA its child decisions allow to do that.

Applicable to both concurrent and sequential cases.

Definition at line 99 of file PrecedenceRulesGraph.h.

## ◆ m_name

std::string precedence::DecisionHubProps::m_name

Definition at line 92 of file PrecedenceRulesGraph.h.

## ◆ m_nodeIndex

uint precedence::DecisionHubProps::m_nodeIndex

Definition at line 93 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PRGraph/PrecedenceRulesGraph.h